Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 1249693002: Improve the about/discards UI, allowing each tab to be individually closed. (Closed)

Created:
3 years, 4 months ago by proberge
Modified:
3 years, 4 months ago
Reviewers:
Georges Khalil, sky
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Improve the about/discards UI, allowing each tab to be individually closed. Changed the format of the tab lines to make the special aspects of the tab (pinned, audio, discarded) easier on the eye. BUG=457527 Committed: https://crrev.com/4550b46a4d391429945886691f6a0dd9f3d90983 Cr-Commit-Position: refs/heads/master@{#340075}

Patch Set 1 #

Patch Set 2 : #

Total comments: 16

Patch Set 3 : Resolve comments on #2 #

Total comments: 2

Patch Set 4 : Fix issue found by trybot (%ld expects long int but int64 is long long int) #

Patch Set 5 : Resolve comments on #3 #

Total comments: 10

Patch Set 6 : Resolve comments on #5 #

Patch Set 7 : Resolve comments on #6 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+132 lines, -108 lines) Patch
M chrome/browser/memory/oom_priority_manager.h View 1 2 3 4 3 chunks +11 lines, -12 lines 0 comments Download
M chrome/browser/memory/oom_priority_manager.cc View 1 2 3 4 5 6 6 chunks +56 lines, -78 lines 0 comments Download
M chrome/browser/memory/tab_stats.h View 1 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/memory/tab_stats.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/about_ui.cc View 1 2 3 4 5 3 chunks +59 lines, -18 lines 0 comments Download

Messages

Total messages: 16 (3 generated)
Georges Khalil
Looking good! Only minor modifications. And git cl format. https://codereview.chromium.org/1249693002/diff/20001/chrome/browser/memory/oom_priority_manager.h File chrome/browser/memory/oom_priority_manager.h (right): https://codereview.chromium.org/1249693002/diff/20001/chrome/browser/memory/oom_priority_manager.h#newcode59 chrome/browser/memory/oom_priority_manager.h:59: ...
3 years, 4 months ago (2015-07-21 18:13:37 UTC) #2
proberge
https://codereview.chromium.org/1249693002/diff/20001/chrome/browser/memory/oom_priority_manager.h File chrome/browser/memory/oom_priority_manager.h (right): https://codereview.chromium.org/1249693002/diff/20001/chrome/browser/memory/oom_priority_manager.h#newcode59 chrome/browser/memory/oom_priority_manager.h:59: // Returns the list of the stats for all ...
3 years, 4 months ago (2015-07-21 18:29:07 UTC) #3
Georges Khalil
https://codereview.chromium.org/1249693002/diff/20001/chrome/browser/ui/webui/about_ui.cc File chrome/browser/ui/webui/about_ui.cc (right): https://codereview.chromium.org/1249693002/diff/20001/chrome/browser/ui/webui/about_ui.cc#newcode505 chrome/browser/ui/webui/about_ui.cc:505: std::string AboutDiscardsRun(int64 web_content_id) { On 2015/07/21 18:29:07, proberge wrote: ...
3 years, 4 months ago (2015-07-21 18:38:29 UTC) #4
proberge
https://codereview.chromium.org/1249693002/diff/20001/chrome/browser/ui/webui/about_ui.cc File chrome/browser/ui/webui/about_ui.cc (right): https://codereview.chromium.org/1249693002/diff/20001/chrome/browser/ui/webui/about_ui.cc#newcode505 chrome/browser/ui/webui/about_ui.cc:505: std::string AboutDiscardsRun(int64 web_content_id) { On 2015/07/21 18:38:29, Georges Khalil ...
3 years, 4 months ago (2015-07-21 18:55:09 UTC) #5
proberge
3 years, 4 months ago (2015-07-21 19:00:38 UTC) #7
sky
https://codereview.chromium.org/1249693002/diff/80001/chrome/browser/memory/oom_priority_manager.cc File chrome/browser/memory/oom_priority_manager.cc (right): https://codereview.chromium.org/1249693002/diff/80001/chrome/browser/memory/oom_priority_manager.cc#newcode180 chrome/browser/memory/oom_priority_manager.cc:180: LOG(WARNING) << "Discarding tab " << idx << " ...
3 years, 4 months ago (2015-07-21 22:57:10 UTC) #8
proberge
https://codereview.chromium.org/1249693002/diff/80001/chrome/browser/memory/oom_priority_manager.cc File chrome/browser/memory/oom_priority_manager.cc (right): https://codereview.chromium.org/1249693002/diff/80001/chrome/browser/memory/oom_priority_manager.cc#newcode180 chrome/browser/memory/oom_priority_manager.cc:180: LOG(WARNING) << "Discarding tab " << idx << " ...
3 years, 4 months ago (2015-07-22 14:21:06 UTC) #9
sky
https://codereview.chromium.org/1249693002/diff/80001/chrome/browser/memory/oom_priority_manager.cc File chrome/browser/memory/oom_priority_manager.cc (right): https://codereview.chromium.org/1249693002/diff/80001/chrome/browser/memory/oom_priority_manager.cc#newcode180 chrome/browser/memory/oom_priority_manager.cc:180: LOG(WARNING) << "Discarding tab " << idx << " ...
3 years, 4 months ago (2015-07-22 15:29:41 UTC) #10
proberge
https://codereview.chromium.org/1249693002/diff/80001/chrome/browser/memory/oom_priority_manager.cc File chrome/browser/memory/oom_priority_manager.cc (right): https://codereview.chromium.org/1249693002/diff/80001/chrome/browser/memory/oom_priority_manager.cc#newcode180 chrome/browser/memory/oom_priority_manager.cc:180: LOG(WARNING) << "Discarding tab " << idx << " ...
3 years, 4 months ago (2015-07-22 18:05:29 UTC) #11
sky
LGTM
3 years, 4 months ago (2015-07-22 22:21:45 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1249693002/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1249693002/120001
3 years, 4 months ago (2015-07-23 11:32:05 UTC) #14
commit-bot: I haz the power
Committed patchset #7 (id:120001)
3 years, 4 months ago (2015-07-23 12:20:59 UTC) #15
commit-bot: I haz the power
3 years, 4 months ago (2015-07-23 12:21:58 UTC) #16
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/4550b46a4d391429945886691f6a0dd9f3d90983
Cr-Commit-Position: refs/heads/master@{#340075}

Powered by Google App Engine
This is Rietveld 408576698